HamletSpec.BLOCKQUOTE (Apache Hadoop YARN Common 3.5.0 API)
Description: declaration: package: org.apache.hadoop.yarn.webapp.hamlet2, class: HamletSpec, interface: BLOCKQUOTE

Package org.apache.hadoop.yarn.webapp.hamlet2

# Interface HamletSpec.BLOCKQUOTE

All Superinterfaces:
  `HamletSpec.__`, `HamletSpec._Block`, `HamletSpec._Child`, `HamletSpec._FieldSet`, `HamletSpec._Form`, `HamletSpec._Script`, `HamletSpec.Attrs`, `HamletSpec.Block`, `HamletSpec.CoreAttrs`, `HamletSpec.EventsAttrs`, `HamletSpec.Heading`, `HamletSpec.I18nAttrs`, `HamletSpec.Listing`, `HamletSpec.Preformatted`

All Known Implementing Classes:
  `Hamlet.BLOCKQUOTE`

Enclosing class:
  HamletSpec

public static interface HamletSpec.BLOCKQUOTE extends HamletSpec.Attrs, HamletSpec.Block, HamletSpec._Script, HamletSpec._Child

- ## Method Summary

  Modifier and Type
  Method
  Description
  `HamletSpec.BLOCKQUOTE`
  `$cite(String uri)`
  URI for source document or msg

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Block

  `__, address, address, blockquote, bq, div, div, dl, dl, hr, hr, p, p, table, table`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Child

  `__`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._FieldSet

  `fieldset, fieldset`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Form

  `form, form`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec._Script

  `script, script`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.CoreAttrs

  `$class, $id, $style, $title`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.EventsAttrs

  `$onclick, $ondblclick, $onkeydown, $onkeypress, $onkeyup, $onmousedown, $onmousemove, $onmouseout, $onmouseover, $onmouseup`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Heading

  `h1, h1, h1, h2, h2, h2, h3, h3, h3, h4, h4, h4, h5, h5, h5, h6, h6, h6`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.I18nAttrs

  `$dir, $lang`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Listing

  `ol, ol, ul, ul`

  ### Methods inherited from interface org.apache.hadoop.yarn.webapp.hamlet2.HamletSpec.Preformatted

  `pre, pre`

- ## Method Details

  - ### $cite

    HamletSpec.BLOCKQUOTE $cite(String uri)
    URI for source document or msg
    Parameters:
      `uri` - the URI
    Returns:
      the current element builder